> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Icd10 Codes

> Search ICD-10 codes by description, code, or categorical information.



## OpenAPI

````yaml get /medical-codes/icd-10/search
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /medical-codes/icd-10/search:
    get:
      tags:
        - provider
        - medical-codes
      summary: Search Icd10 Codes
      description: Search ICD-10 codes by description, code, or categorical information.
      operationId: search_icd10_codes_medical_codes_icd_10_search_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: query
          in: query
          required: true
          schema:
            type: string
            description: Search query for ICD-10 codes
            title: Query
          description: Search query for ICD-10 codes
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            description: Maximum number of results to return
            default: 20
            title: Limit
          description: Maximum number of results to return
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ICDTenCode'
                title: Response Search Icd10 Codes Medical Codes Icd 10 Search Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ICDTenCode:
      properties:
        code:
          type: string
          title: Code
        shortDesc:
          type: string
          title: Shortdesc
        longDesc:
          anyOf:
            - type: string
            - type: 'null'
          title: Longdesc
        categorical:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Categorical
      type: object
      required:
        - code
        - shortDesc
        - longDesc
        - categorical
      title: ICDTenCode
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````